Package org.jfree.layouting.renderer.text

## Class DefaultExtendedBaselineInfo

- java.lang.Object
- - org.jfree.layouting.renderer.text.DefaultExtendedBaselineInfo

- All Implemented Interfaces:
    `ExtendedBaselineInfo`

      public class DefaultExtendedBaselineInfo
      extends java.lang.Object
      implements ExtendedBaselineInfo

  Creation-Date: 24.07.2006, 17:35:25
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.jfree.layouting.renderer.text.ExtendedBaselineInfo

      `AFTER_EDGE, ALPHABETHIC, BASELINE_COUNT, BEFORE_EDGE, CENTRAL, HANGING, IDEOGRAPHIC, MATHEMATICAL, MIDDLE, TEXT_AFTER_EDGE, TEXT_BEFORE_EDGE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultExtendedBaselineInfo​(int dominantBaseline)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBaseline​(int baseline)` |
    `long[]` | `getBaselines​()` |
    `int` | `getDominantBaseline​()` |
    `void` | `setBaselines​(long[] baselines)` |
    `ExtendedBaselineInfo` | `shift​(long s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExtendedBaselineInfo

          public DefaultExtendedBaselineInfo​(int dominantBaseline)

  - ### Method Detail

    - #### getDominantBaseline

          public int getDominantBaseline​()

      Specified by:
        `getDominantBaseline` in interface `ExtendedBaselineInfo`

    - #### getBaselines

          public long[] getBaselines​()

      Specified by:
        `getBaselines` in interface `ExtendedBaselineInfo`

    - #### setBaselines

          public void setBaselines​(long[] baselines)

    - #### getBaseline

          public long getBaseline​(int baseline)

      Specified by:
        `getBaseline` in interface `ExtendedBaselineInfo`

    - #### shift

          public ExtendedBaselineInfo shift​(long s)

      Specified by:
        `shift` in interface `ExtendedBaselineInfo`